/******CONTENT EDITOR****/

/* Center (default) */
[data-editable] iframe,
[data-editable] image,
[data-editable] [data-ce-tag=img],
[data-editable] img,
[data-editable] video {
    clear: both;
    display: block;
    margin-left: auto;
    margin-right: auto;
    max-width: 100%;
}
/* Left align */
[data-editable] .align-left {
    clear: initial;
    float: left;
    margin-right: 0.5em;
}
/* Right align */
[data-editable].align-right {
    clear: initial;
    float: right;
    margin-left: 0.5em;
}
/* Alignment styles for text in editable regions */
[data-editable] .text-center {
    text-align: center;
}
[data-editable] .text-left {
    text-align: left;
}
[data-editable] .text-right {
    text-align: right;
}
#editor-container {
    height: 300px;
    margin-bottom: 50px;
}
#question-container {
    height: 150px;
    margin-bottom: 50px;
}

/***********404**********/
.error-page {
    margin: 100px 0 40px;
    text-align: center;
}
.error-page__header-image {
    width: 210px;
}
.error-page__title {
    font-size: 25px;
    color: rgba(42,55,68,.7);
    font-weight: normal;
}
.error-page__subtitle {
    font-size: 15px;
    color: rgba(42,55,68,.7);
    font-weight: normal;
    margin-top: 0;
}
.error-page__subtitle a {
    color: rgba(42,55,68,.7);
    text-decoration: none;
    font-weight: bold;
}
.error-page__message {
    font-family: 'Lobster', cursive;
    font-size: 30px;
    margin: 30px 0 35px 0;
    line-height: 40px;
}
@media (max-width:767px) {
    .error-page {
        margin: 0 0 40px;
    }
    .error-page__title {
        font-size: 22px;
    }
    .error-page__subtitle {
        font-size: 12px;
    }
    .error-page__message {
        font-size: 25px;
        margin: 30px 0 35px 0;
        line-height: 40px;
    }
}

/* Animations */
@-webkit-keyframes bg-scrolling-reverse {
    100% {background-position: 400px 200px;}
}
@-moz-keyframes    bg-scrolling-reverse {
    100% {background-position: 400px 200px;}
}
@-o-keyframes      bg-scrolling-reverse {
    100% {background-position: 400px 200px;}
}
@keyframes         bg-scrolling-reverse {
    100% {background-position: 400px 200px;}
}

@-webkit-keyframes bg-scrolling {
    0% {background-position: 400px 200px;}
}
@-moz-keyframes    bg-scrolling {
    0% {background-position: 400px 200px;}
}
@-o-keyframes      bg-scrolling {
    0% {background-position: 400px 200px;}
}
@keyframes         bg-scrolling {
    0% {background-position: 400px 200px;}
}

/***********HELPERS**********/
.mr-icon{
    margin-right: 5px;
}
.ml-icon{
    margin-left: 5px;
}
.hr-separator{
    margin: 30px 0;
}

/***********CUSTOM CSS**********/
body{
    font-family: 'Kodchasan', sans-serif;
}
* {
    -webkit-transition: all 0.2s ease;
    -moz-transition:    all 0.2s ease;
    -ms-transition:     all 0.2s ease;
    -o-transition:      all 0.2s ease;
    transition:         all 0.2s ease;
}
.notransition{
    -webkit-transition: none !important;
    -moz-transition: none !important;
    -o-transition: none !important;
    transition: none !important;
}
.btn-outline-warning:hover {
    color: #ffffff;
}
.alert-dismissible .close{
    top: -3px;
}
.progress{
    height: 10px;
    background-color: #5931962b;
}
.table > thead > tr > th,
.table > tbody > tr > th,
.table > tfoot > tr > th,
.table > thead > tr > td,
.table > tbody > tr > td,
.table > tfoot > tr > td{
    vertical-align: middle;
}
.table-profil .tr-1{
    width: 45%;
}
.table-profil .tr-2{
    width: 40%;
}
.table-profil .tr-3{
    width: 15%;
}
.table-profil .tr-3 .btn{
    width: 100%;
}
.msg-flash{
    padding-left: 0;
    padding-right: 0;
}
.msg-flash .alert{
    border-radius: 0;
}
nav.navbar{
    margin-top: 20px;
    margin-bottom: 20px;
    padding-left: 0;
    padding-right: 0;
}
.dropdown-toggle::after{
    display: none;
}
.nav-item{
    margin-left: 10px;
}
strong{
    font-weight: bold;
}
.jumbotron-main {
    background: url("../img/banner-pattern.png") repeat 0 0;
    -webkit-animation: bg-scrolling-reverse 15s infinite; /* Safari 4+ */
    -moz-animation: bg-scrolling-reverse 15s infinite; /* Fx 5+ */
    -o-animation: bg-scrolling-reverse 15s infinite; /* Opera 12+ */
    animation: bg-scrolling-reverse 15s infinite; /* IE 10+ */
    -webkit-animation-timing-function: linear;
    -moz-animation-timing-function: linear;
    -o-animation-timing-function: linear;
    animation-timing-function: linear;
}
.jumbotron-main-extranet {
    background: url("../img/banner-pattern-extranet.png") repeat 0 0;
    -webkit-animation: bg-scrolling-reverse 15s infinite; /* Safari 4+ */
    -moz-animation: bg-scrolling-reverse 15s infinite; /* Fx 5+ */
    -o-animation: bg-scrolling-reverse 15s infinite; /* Opera 12+ */
    animation: bg-scrolling-reverse 15s infinite; /* IE 10+ */
    -webkit-animation-timing-function: linear;
    -moz-animation-timing-function: linear;
    -o-animation-timing-function: linear;
    animation-timing-function: linear;
}
.main-title{
    margin-bottom: 10px;
}
.main-title i{
    font-size: .9em;
}
.question-title{
    margin: 30px 0 20px 0;
    border-bottom: 1px solid #e4dbf2;
    padding-bottom: 5px;
}
.question-justification{
    display: none;
    margin: 0 0 20px 0;
}
.wrap-item-card{
    display: flex;
    flex-wrap: wrap;
}
.wrap-item-card .card{
    height: 100%;
}
.item-card a:hover{
    text-decoration: none;
}
.item-card:hover{
    -webkit-transform: scale(.97);
    -moz-transform: scale(.97);
    -o-transform: scale(.97);
    transform: scale(.97);
    -webkit-box-shadow: 0px 0px 9px 2px rgba(194,194,194,.7);
    -moz-box-shadow: 0px 0px 9px 2px rgba(194,194,194,.7);
    box-shadow: 0px 0px 9px 2px rgba(194,194,194,.7);
}
.item-card{
    padding-top: 15px;
    padding-bottom: 15px;
    margin-bottom: 20px;
    min-height: 280px;
}
.item-card p{
    color: initial;
}
.item-card .card{
    padding: 40px 0 0 0;
    position: relative;
}
.item-card .badge{
    position: absolute;
    top: 20px;
    font-size: .9em;
}
.item-card .badge-primary{
    left: 0;
}
.item-card .badge-secondary{
    right: 0;
}
.card-success{
    border: 2px solid #13b955;
}
.card-waiting{
    border: 2px solid #efa31d;
}
.bloc-fonction{
    margin-bottom: 30px;
}
.img-fonction img{
    border-radius: 5px;
    border: 1px solid #f3f3f3;
}
.shaddow-nav{
    -webkit-box-shadow: 0px -2px 10px 4px rgba(166,166,166,.5);
    -moz-box-shadow: 0px -2px 10px 4px rgba(166,166,166,.5);
    box-shadow: 0px -2px 10px 4px rgba(166,166,166,.5);
}
.footer{
    background: #593196;
    padding: 30px 0;
    margin-top: 30px;
}
.copyright{
    color: #ffffff;
    text-align: center;
}
.copyright p{
    margin: 0;
}
.content-questions{
    margin-top: 20px;
}
.content-questions iframe{
    border: 0;
    background: #593196;
    margin-bottom: 20px;
}
.wrap-questions .btn-group-toggle{
    width: 100%;
}
.wrap-questions .btn-group-toggle .btn{
    margin-bottom: 10px;
    text-align: left;
    cursor: pointer;
}
.wrap-login-page{
    background: url("../img/banner-pattern.png") repeat 0 0;
    -webkit-animation: bg-scrolling-reverse 15s infinite; /* Safari 4+ */
    -moz-animation: bg-scrolling-reverse 15s infinite; /* Fx 5+ */
    -o-animation: bg-scrolling-reverse 15s infinite; /* Opera 12+ */
    animation: bg-scrolling-reverse 15s infinite; /* IE 10+ */
    -webkit-animation-timing-function: linear;
    -moz-animation-timing-function: linear;
    -o-animation-timing-function: linear;
    animation-timing-function: linear;
}
.wrap-login-page-extranet{
    background: url("../img/banner-pattern-extranet.png") repeat 0 0;
    -webkit-animation: bg-scrolling-reverse 15s infinite; /* Safari 4+ */
    -moz-animation: bg-scrolling-reverse 15s infinite; /* Fx 5+ */
    -o-animation: bg-scrolling-reverse 15s infinite; /* Opera 12+ */
    animation: bg-scrolling-reverse 15s infinite; /* IE 10+ */
    -webkit-animation-timing-function: linear;
    -moz-animation-timing-function: linear;
    -o-animation-timing-function: linear;
    animation-timing-function: linear;
}
.login-page{
    display: flex;
    justify-content: center;
    align-items: center;
}
.login-page span{
    display: block;
    width: 400px;
    text-align: center;
    padding: 30px;
    background: #ffffff;
    border-radius: 5px;
}
.login-page span img{
    margin: 10px 0 40px 0;
}
.login-page span button{
    margin-top: 30px;
}
.module-extranet:hover .bg-primary.card{
    background: #ffffff !important;
    color: #593196 !important;
}
.module-extranet:hover .bg-secondary.card{
    background: #ffffff !important;
    color: #927abe !important;
}
.module-extranet:hover .bg-warning.card{
    background: #ffffff !important;
    color: #efa31d !important;
}
.module-extranet:hover .bg-danger.card{
    background: #ffffff !important;
    color: #fc3939 !important;
}
.module-extranet:hover .bg-info.card{
    background: #ffffff !important;
    color: #009cdc !important;
}
.module-extranet a{
    text-decoration: none;
}
.module-extranet .card{
    text-align: center;
    padding: 20px 0;
}
.module-extranet .card.bg-white{
    text-align: center;
    padding: 0;
}
.module-extranet h4{
    margin: 0;
    font-weight: bold;
}
.module-extranet .card-big-icon i{
    font-size: 3em;
    margin-bottom: 10px;
}
#type-media-1, #type-media-2, #type-media-3, #type-media-4{
    display: none;
}
.shrink-media{
    height: 500px;
    overflow: hidden;
}
.aside-contenu span{
    display: block;
}
.text-contenu p img{
    max-width: 100% !important;
}
.text-contenu .ql-video, .ql-editor .ql-video{
    width: 100% !important;
    height: 400px;
}
.konami-code-border{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    border: 65px solid black;
    z-index: 3;
}
.konami-code-bg{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    background: #000000;
    z-index: 1;
}
.chapitre-cloture{
    margin: 0 0 10px 0;
    text-align: center;
    font-size: 1.5em;
}
.no-formation{
    text-align: center;
    font-size: 3em;
    color: #cfced2;
}
.no-formation p{
    padding: 50px 0;
}
.border-reponse-1{
    border-bottom: 5px solid #13B955;
}
.border-reponse-2{
    border-bottom: 5px solid #EFA31D;
}
.border-reponse-3{
     border-bottom: 5px solid #FC3939;
 }
.dropdown-item:hover, .dropdown-item:focus{
    color: initial;
    text-decoration: none;
    background-color: #e8e8e8;
}


/* <PRE> TAG */
pre{
    padding: .8em 1em;
    margin: 0;
    background-color: #474747;
    border-left: 4px solid #b996ea;
    font-size: 13px;
    color: #c8cfd0;
    font-family: Consolas,"Andale Mono WT","Andale Mono","Lucida Console","Lucida Sans Typewriter","DejaVu Sans Mono","Bitstream Vera Sans Mono","Liberation Mono","Nimbus Mono L",Monaco,"Courier New",Courier,Monospace;
    line-height: 1.4em;
    position: relative;
    white-space: pre-wrap;
    word-wrap: normal;
}
.search-article-bar input{
    padding-left: 35px;
}
.search-article-bar i{
    position: absolute;
    top: 10px;
    left: 25px;
}